### NAME

eof - Check for end of file condition on channel

### SYNOPSIS

eof channelId

### DESCRIPTION

Returns 1 if an end of file condition occurred during the most recent input operation on channelId (such as gets), 0 otherwise.

### SEE ALSO

file, open, close, fblocked

### KEYWORDS

channel, end of file

    Copyright © 1993 The Regents of the University of California.
    Copyright © 1994-1996 Sun Microsystems, Inc.
    Copyright © 1995-1997 Roger E. Critchlow Jr.